PHP Manual
Prev |  | Next

# DOMDocument->createAttributeNS()

(no version information, might be only in CVS)

DOMDocument->createAttributeNS() -- Create new attribute node with an associated namespace

## Description

class DOMDocument {
DOMAttr createAttributeNS ( string namespaceURI, string qualifiedName )
}

This function creates a new instance of class DOMAttr. This node will not show up in the document unless it is inserted with e.g. DOMNode->appendChild().

## Parameters

namespaceURI

  The URI of the namespace.

qualifiedName

  The tag name and prefix of the attribute, as prefix:tagname.

## Return Values

The new DOMAttr or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if qualifiedName contains an invalid character.

`DOM_NAMESPACE_ERR`

  Raised if qualifiedName is a malformed qualified name, or if qualifiedName has a prefix and namespaceURI is `NULL`.

## See Also

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElement()
DOMDocument->createElementNS()
DOMDocument->createEntityReference()
DOMDocument->createProcessingInstruction()
DOMDocument->createTextNode()

Prev | Home | Next
DOMDocument->createAttribute() | Up | DOMDocument->createCDATASection()